<?php
if (!defined('PLX_ROOT')) exit;

include_once 'extras.php';

if(method_exists($plxShow, 'authorList')) {
	$users = array_filter(
		$plxShow->plxMotor->aUsers,
		function($user) { return !empty($user['active']) and empty($user['delete']); }
	);
	if(count($users) > 1) {
		define('MULTI_USERS', true);
	}
}
?>
<!DOCTYPE html>
<html lang="<?php $plxShow->defaultLang() ?>">
<head>
	<meta charset="<?php $plxShow->charset('min'); ?>">
	<meta name="viewport" content="width=device-width, user-scalable=yes, initial-scale=1.0">
	<title><?php $plxShow->pageTitle(); ?></title>
<?php
foreach(array('description keywords author') as $mt) {
	$plxShow->meta($mt);
}
?>
	<link rel="icon" href="<?php $plxShow->template(); ?>/img/favicon.png" />
	<link rel="stylesheet" href="<?php $plxShow->template(); ?>/css/knacss.min.css" />
	<link rel="stylesheet" href="<?php $plxShow->template(); ?>/css/theme.css" />
<?php
	$plxShow->templateCss();
	$plxShow->pluginsCss();
if($plxMotor->aConf['enable_rss']) {
	$rssMode = $plxMotor->mode;
	switch($rssMode) {
		case 'categorie' :
			ob_start(); $plxShow->catName();
			$rssTitle = sprintf($plxShow->getLang('CATEGORIE_RSS_FEEDS'), ob_get_clean());
			break;
		case 'tags':
				if(defined('THEME_TAGS')) {
			   		$rssTitle = sprintf($plxShow->getLang('TAGS_RSS_FEEDS'), $plxShow->plxMotor->cible);
				}
			break;
		case 'user':
			$rssTitle = sprintf($plxShow->getLang('AUTHOR_RSS_FEEDS'));
			break;
		default:
			$rssTitle = $plxShow->getLang('ARTICLES_RSS_FEEDS');
			$rssMode = '';
	}
?>
	<link rel="alternate" type="application/rss+xml" title="<?=$rssTitle ?>" href="<?php $plxShow->urlPostsRssFeed($rssMode); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php $plxShow->lang('COMMENTS_RSS_FEEDS') ?>" href="<?php $plxShow->urlRewrite('feed.php?rss/commentaires') ?>" />
<?php
}

if(method_exists($plxShow, 'canonical')) {
	$plxShow->canonical();
}

$logos = array_filter(
	glob($plxMotor->aConf['racine_themes'] . $plxMotor->style . '/img/logo*'),
	function($item) { return preg_match('@\.(?:jpe?g|png|svg|gif|webp)$@', $item); }
);

?>
</head>
<body class="page mode-<?php $plxShow->mode(true) ?><?= defined('FULL_WIDTH') ? '' : ' with-sidebar' ?><?= preg_match('@^static-(sitemap|contact|gallery)\.php$@', $plxShow->plxMotor->template) ? ' smart' : '' ?>">
<?php
if(!defined('NO_HEADER')) {
?>
	<header class="main-header<?= !empty($logos) ? ' with-logo' : '' ?>" id="top">
		<img src="<?php $plxShow->template(); ?>/img/banner.jpg" alt="banner" />
		<div>
<?php
if(count($logos) > 0) {
?>
			<div class="logo">
				<a href="<?php $plxShow->urlRewrite() ?>"><img src="<?php $plxShow->urlRewrite($logos[0]) ?>" alt="<?php $plxShow->mainTitle(); ?>" /></a>
			</div>
<?php
}
?>
			<div class="brand">
				<h1><?php $plxShow->mainTitle('link'); ?></h1>
				<h2><?php $plxShow->subTitle(); ?></h2>
			</div>
		</div>
	</header>
<?php
}
?>
	<nav id="nav-header" class="color1">
		<input type="checkbox" id="toggle-menu" class="toggle" />
		<label for="toggle-menu" class="burger-button" role="button" aria-label="open/close navigation"><i></i></label>
		<ul id="menu" <?= !empty($myStaticPages) ? 'data-onepage="' . strtolower(MY_GROUP) . '"' : '' ?> class="color1">
			<?php $plxShow->staticList($plxShow->getLang('HOME'), MENU_TEMPLATE, GROUP_TEMPLATE); ?>
			<li class="menu categories">
				<span class="group <?= ($plxMotor->mode == 'categorie') ? 'active' : 'noactive' ?>"><?php $plxShow->lang('CATEGORIES'); ?></span>
				<ul class="sub-menu">
<?php $plxShow->catList('','<li class="#cat_status"><a href="#cat_url"><span>#cat_name</span> <span>(<em>#art_nb</em>)</span></a></li>' . PHP_EOL); ?>
				</ul>
			</li>
			<?php $plxShow->pageBlog(MENU_TEMPLATE); ?>
		</ul>
<?php
# page statique pour la recherche d'articles ou de pages statiques
$statics = array_filter(
	$plxMotor->aStats,
	function($value) { return ($value['template'] == 'static-search.php'); }
);
if(!empty($statics)) {
	$k = array_key_first($statics);
	$url = $statics[$k]['url'];
	$i = intval($k);
	if($plxMotor->mode != 'static' or ($plxMotor->cible != $i and !filter_has_var(INPUT_POST, 'search'))) {
?>
		<a href="index.php?static<?= $i ?>/<?= $url ?>" class="icon-search">&nbsp;</a>
<?php
	}
}
?>
	</nav>
	<main class="main-content">
