<?php if (!defined('PLX_ROOT')) exit; ?>

<style>
	pre code { padding: 0.5rem 1rem; background-color: #444; color: #ffc800; }
	.kzMasonic-templates h3 span { padding: 0.5rem 1rem; background-color: #444; color: #fff; border-left: 5px solid #ffc800; }
</style>
<p>
	Pour que les visiteurs de votre site aient une bonne impression, régler dans "Paramètres/Options d'affichage" "Nombre d'articles affichés par page" à 9. Dans le tableau des catégories, laisser vide la case "Nb art/page" pour prendre par défaut la valeur précèdente.
</p>
<p>
	Ce thème utilise le framework CSS <a href="https://www.knacss.com/" target="_blank">Knacss-Reborn</a>. Il s'inspire du thème Masonic en démonstration à : <a href="https://demo.themegrill.com/masonic/" target="_blank">https://themegrill.com</a>
</p>
<p>
	Une attention particulière a été faite pour offrir une expérience agréable aux visiteurs aussi bien sur smartphone, tablette que sur ordinateur.
</p>
<p>
	En plus des gabarits (<em>template</em>) traditionnellement livrés avec le thème "Défaut" de PluXml, le thème <strong>kzMasonic</strong> offre les gabarits supplémentaires suivants pour les pages statiques qui évitent le recours à des plugins supplémentaires :
</p>
<ul class="kzMasonic-templates">
	<li>
		<h3><span>static-gallery.php</span></h3>
		<p>Permet d'afficher une galerie d'images contenues dans un dossier spécifique du gestionnaire de médias. Le contenu de la page doit contenir au minimum :</p>
		<pre><code>&lt;div data-gallery="dossier-images">&lt;/div></code></pre>
		<p>Il est bien sûr possible d'ajouter du contenu HTML supplémentaire ou du code PHP.</p>
	</li>
	<li>
		<h3><span>static-contact.php</span></h3>
		<p>Formulaire de contact envoyé par E-mail au webmaster</p>
		<p>Le contenu de la page statique est libre.</p>
		<p>Dupliquer le gabarit si vous souhaitez personnaliser le formulaire de contact.</p>
	</li>
	<li>
		<h3><span>static-search.php</span></h3>
		<p>Recherche multi-critères d'un mot dans les articles ou les pages statiques</p>
		<p>Le contenu de la page statique est libre.</p>
	</li>
	<li>
		<h3><span>static-download.php</span></h3>
		<p>Liste dans un tableau de fichiers à télécharger. Les liens de téléchargements sont cryptés à la "PluXml"</p>
		Le contenu de la page doit contenir au minimum :</p>
		<pre><code>&lt;div data-download="dossier-documents">&lt;/div></code></pre>
		<p>Il est bien sûr possible d'ajouter du contenu HTML supplémentaire ou du code PHP.</p>
	</li>
	<li>
		<h3><span>static-rss.php</span></h3>
		<p>Affiche une liste de flux RSS de sites partenaires</p>
	</li>
	<li>
		<h3><span>static-sitemap.php</span></h3>
		<p>Cartographie du site</p>
		<p>Le contenu de la page statique est libre.</p>
	</li>
</ul>
<p>
	Pour chaque gabarit, il faut créer une page statique en choisissant le gabarit souhaité. Pour certains, le contenu peut-être laissé vide.
</p>
<p>
	Le thème utilise des variables CSS sur la balise &lt;html&gt; pour personnaliser les couleurs.
</p>
<p>
	Les diverses icônes sont affichées à l'aide de la police Fontello. <a href="<?= $plxAdmin->racine . $plxAdmin->aConf['racine_themes'] . $plxAdmin->aConf['style'] ?>/fonts/fontello/demo.html" target="_blank">Voir les icônes</a><br />
	Il est possible d'ajouter des icônes en glissant/déposer le fichier <em>fonts/fontello/config.json</em> du thème sur le site <a href=http://fontello.com" target="_blank">http://fontello.com</a>
</p>
